Subject: A thought on fancy client implementation

From: Ken Schalk <[email-masked]>
Date: Wed, 3 Mar 1993 14:38:39 -0800

All this talk about how one could implement a nifty client with
all kinds of wizzy features like windows and pictures and icons and
popup menus brought to mind something I was thinking about a few days
ago.  If you want to have a client that can do all kinds of
interesting things, why not just make the client a server that talks
to the other server that has extra code piled into it for all the
platform-specific interface issues?  After all, you're going to be
putting a bit of a load onto the client machine to handle the fancy
interface, so why not go a bit further, and make it easier to program
the client to add new interface bells and whistles by making it a
server in and of itself?

    (I'm not sure that this idea is something I'd want to try and
implement with MOO, and when I was thinking about it I was actually
thinking of implementing a new system from the ground up based on the
premise that all clients are just small servers, but I figured I'd
throw it out.  I guess, in a way, it's like crossing MOO with UnterMUD
and throwing fancy interface primitives on top, but that would be
philosophical debate.)

//////////////////////////////////////////////////////////////////////
\\ Kenneth C Schalk \\\\"Is conciousness just a special form of \\\\\\  //-\
////////////////////////  hallucination?" -- Frank Herbert      ////// //-O|
\\ [email-masked] \\\\\\\\"We're each other fragments...but each  \\\\\\ |   |
// [email-masked] / fragment reveals the [whole] from a    //////  \_/
\\ [email-masked] \\\ different angle..." -- William Gibson  \\\\\\
//////////////////////////////////////////////////////////////////////

[aka Xorian@LambdaMOO]